// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:         TDx_Play_Library_Install.CPP
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file links all files required by the TDx_Play_Library 
//               v1.70. 
//
// "TDx_Play_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Play_Library_Install.H"
// --------------------------------------------------------------------------
#pragma resource "TDx_Play_Library_Icons.res"
// --------------------------------------------------------------------------
#pragma link "dxguid.lib"
// --------------------------------------------------------------------------
#pragma link "dplayx.lib"
// --------------------------------------------------------------------------
#pragma link "TDx_Library_Defns"
#pragma link "TDx_Library_Functions"
#pragma link "TDx_Play_Library_Defns"
#pragma link "TDx_Play_Library_Functions"
// --------------------------------------------------------------------------
#pragma link "TDPAccountDesc"
#pragma link "TDPApplicationDesc"
#pragma link "TDPCaps"
#pragma link "TDPChat"
#pragma link "TDPComPortAddress"
#pragma link "TDPCompoundAddressElement"
#pragma link "TDPCredentials"
#pragma link "TDPLAppInfo"
#pragma link "TDPLConnection"
#pragma link "TDPName"
#pragma link "TDPSecurityDesc"
#pragma link "TDPSessionDesc"
#pragma link "TDx_Play"
#pragma link "TDx_PlayLobby"
// --------------------------------------------------------------------------
namespace Tdx_play_library_install
{
void __fastcall Register()
    {
    TComponentClass interface_classes[2] =
        {
        __classid(TDx_Play),
        __classid(TDx_PlayLobby)
        };
    RegisterComponents( "TDx_Play", interface_classes, 2-1 );
    // ----------------------------------------------------------------------
    TComponentClass wrapper_classes[12] =
        {
        __classid(TDPAccountDesc),
        __classid(TDPApplicationDesc),
        __classid(TDPCaps),
        __classid(TDPChat),
        __classid(TDPComPortAddress),
        __classid(TDPCompoundAddressElement),
        __classid(TDPCredentials),
        __classid(TDPLAppInfo),
        __classid(TDPLConnection),
        __classid(TDPName),
        __classid(TDPSecurityDesc),
        __classid(TDPSessionDesc)
        };
    RegisterComponents( "TDx_Play", wrapper_classes, 12-1 );
    }
}
// --------------------------------------------------------------------------
